arsenal-devel team mailing list archive
-
arsenal-devel team
-
Mailing list archive
-
Message #00089
[Merge] lp:~inspirated/arsenal/fix-debian into lp:arsenal
Kamran Riaz Khan has proposed merging lp:~inspirated/arsenal/fix-debian into lp:arsenal.
Requested reviews:
arsenal-devel (arsenal-devel)
Related bugs:
#617980 Debs for arsenal and python-launchpadlib-toolkit
https://bugs.launchpad.net/bugs/617980
--
https://code.launchpad.net/~inspirated/arsenal/fix-debian/+merge/32713
Your team arsenal-devel is requested to review the proposed merge of lp:~inspirated/arsenal/fix-debian into lp:arsenal.
=== modified file 'arsenal/application.py'
--- arsenal/application.py 2010-08-13 16:45:12 +0000
+++ arsenal/application.py 2010-08-15 19:04:42 +0000
@@ -12,6 +12,7 @@
from ConfigParser import ConfigParser
from StringIO import StringIO
+from distutils.version import StrictVersion
from fnmatch import fnmatch
from getpass import getpass
from locale import getpreferredencoding
@@ -23,6 +24,8 @@
import pycurl
import gnomekeyring as gkeyring
+import launchpadlib
+
from arsenal.bugzilla_adapter import (BugzillaAdapter, BugzillaLoginError)
from arsenal.info import (BugzillaInfo, LaunchpadInfo)
@@ -95,7 +98,8 @@
matches = pattern.search(self.launchpad.parsedurl.netloc).groups()
self.launchpad.api = (self.launchpad.parsedurl.scheme + '://api.' +
matches[0] + '.' + matches[1])
- self.launchpad.api = urljoin(self.launchpad.api, 'beta/')
+ if StrictVersion(launchpadlib.__version__) < StrictVersion('1.5.8'):
+ self.launchpad.api = urljoin(self.launchpad.api, 'beta/')
def sub_url_query(self, url):
pattern = re.compile(r'^(.*\/)([^\/]*?)$')
=== removed file 'debian/arsenal'
--- debian/arsenal 2009-04-17 00:23:54 +0000
+++ debian/arsenal 1970-01-01 00:00:00 +0000
@@ -1,78 +0,0 @@
-#!/bin/bash -e
-
-# Copyright (C) 2008 Canonical Ltd.
-# * Original: Sep 2008 - Bryce Harrington <bryce@xxxxxxxxxxxxx>
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-#
-# On Debian GNU/Linux systems, the complete text of the GNU General
-# Public License can be found in `/usr/share/common-licenses/GPL'.
-###########################################################################
-
-NAME=`basename $0`
-NEW=/var/run/${NAME}.new
-PIDFILE=/var/run/${NAME}.pid
-OUTFILE=/var/log/${NAME}.log
-DIR=/etc/${NAME}.d
-
-# Set script default values
-SEQUENCE=20
-SCRIPT_PAUSE=5
-CYCLE_PAUSE=300
-ADMIN="bryce@xxxxxxxxxxxxxxxxxxx"
-
-# Source config files, if any
-if [ -f /etc/${NAME}/${NAME}.conf ]; then
- . /etc/${NAME}/${NAME}.conf
-fi
-
-if [ -f "$NEW" ]; then
- # If /var/run/arsenal.new exists, then another instance is running
- echo "Another instance of $NAME is running ($NEW exists)"
- exit 0
-fi
-
-# Make sure we clean up the *.new lock file if we exit for any reason
-trap "rm -f $NEW 2>/dev/null || true" EXIT HUP INT QUIT TERM
-
-cycle=0
-today=`date +%Y%m%d`
-while [ 1 -eq 1 ]; do
- echo "[`date`] Starting new cycle" > $NEW
-
- if [ -d $DIR ]; then
- # Run each script
- for file in $DIR/*; do
- if [ -f $file -a -x $file ] ; then
- $file -c${cycle} >>$NEW 2>$ERRLOG
- fi
-
- sleep $SCRIPT_PAUSE
- done
- fi
-
- cycle=$(( cycle + 1 ))
- sleep $CYCLE_PAUSE
-
- # If new day and $ERRLOG not empty, email it
- now=`date +%Y%m%d`
- if [ $now -ne $today -a ! -z $ADMIN ] ; then
- if [ ! -z $ERRLOG ]; then
- cat $ERRLOG | mail -s "$NAME: Errors today" "$ADMIN"
- fi
- ERRLOG=""
- today=$now
- fi
-done
-
=== removed file 'debian/arsenal.init'
--- debian/arsenal.init 2008-09-26 23:50:09 +0000
+++ debian/arsenal.init 1970-01-01 00:00:00 +0000
@@ -1,151 +0,0 @@
-#! /bin/sh
-
-### BEGIN INIT INFO
-# Provides: arsenal
-# Required-Start: $local_fs $remote_fs
-# Required-Stop: $local_fs $remote_fs
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
-# Short-Description: launchpad auxillary toolset
-# Description: This script starts up the arsenal daemon for
-# retrieving data from launchpad and running other jobs.
-### END INIT INFO
-
-# Author: Bryce Harrington <bryce@xxxxxxxxxxxxx>
-
-PATH=/bin
-DESC="launchpad auxillary toolset"
-NAME=arsenal
-DAEMON=/usr/sbin/arsenal
-DAEMON_ARGS=""
-PIDFILE=/var/run/$NAME.pid
-SCRIPTNAME=/etc/init.d/$NAME
-
-# Exit if the package is not installed
-[ -x "$DAEMON" ] || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
- # Return
- # 0 if daemon has been started
- # 1 if daemon was already running
- # 2 if daemon could not be started
- start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
- || return 1
- start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
- $DAEMON_ARGS \
- || return 2
- # Add code here, if necessary, that waits for the process to be ready
- # to handle requests from services started subsequently which depend
- # on this one. As a last resort, sleep for some time.
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
- # Return
- # 0 if daemon has been stopped
- # 1 if daemon was already stopped
- # 2 if daemon could not be stopped
- # other if a failure occurred
-
- start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
- RETVAL="$?"
- [ "$RETVAL" = 2 ] && return 2
- # Wait for children to finish too if this is a daemon that forks
- # and if the daemon is only ever run from this initscript.
- # If the above conditions are not satisfied then add some other code
- # that waits for the process to drop all resources that could be
- # needed by services started subsequently. A last resort is to
- # sleep for some time.
- start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
- [ "$?" = 2 ] && return 2
-
- # Delete pidfile when daemon exits
- rm -f $PIDFILE
- return "$RETVAL"
-}
-
-do_status () {
- return 0
-}
-
-#
-# Function that sends a SIGHUP to the daemon/service
-#
-do_reload() {
- #
- # If the daemon can reload its configuration without
- # restarting (for example, when it is sent a SIGHUP),
- # then implement that here.
- #
- start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
- return 0
-}
-
-case "$1" in
- start)
- [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC:" "$NAME"
- do_start
- case "$?" in
- 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
- 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
- esac
- set_maxsize
- ;;
- stop)
- [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC:" "$NAME"
- do_stop
- case "$?" in
- 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
- 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
- esac
- ;;
- reload|force-reload)
- log_daemon_msg "Reloading $DESC" "$NAME"
- do_reload
- log_end_msg $?
- ;;
- restart|force-reload)
- log_daemon_msg "Restarting $DESC" "$NAME"
- do_stop
- case "$?" in
- 0|1)
- do_start
- case "$?" in
- 0) log_end_msg 0 ;;
- 1) log_end_msg 1 ;; # Old process is still running
- *) log_end_msg 1 ;; # Failed to start
- esac
- ;;
- *)
- # Failed to stop
- log_end_msg 1
- ;;
- esac
- ;;
- status)
- do_status
- ;;
- *)
- echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload|status}" >&2
- exit 3
- ;;
-esac
-
-:
=== removed file 'debian/arsenal.install'
--- debian/arsenal.install 2009-04-14 07:20:37 +0000
+++ debian/arsenal.install 1970-01-01 00:00:00 +0000
@@ -1,6 +0,0 @@
-usr/share/arsenal/arsenal
-usr/share/arsenal/testsuite/
-usr/share/doc/arsenal
-usr/share/locale
-usr/share/icons
-usr/share/mime
=== removed file 'debian/arsenal.logrotate'
--- debian/arsenal.logrotate 2008-09-26 08:52:56 +0000
+++ debian/arsenal.logrotate 1970-01-01 00:00:00 +0000
@@ -1,8 +0,0 @@
-/var/log/arsenal.log {
- daily
- rotate 7
- delaycompress
- compress
- notifempty
- missingok
-}
=== modified file 'debian/changelog'
--- debian/changelog 2008-09-26 08:52:56 +0000
+++ debian/changelog 2010-08-15 19:04:42 +0000
@@ -1,5 +1,30 @@
+arsenal (0.1.3~lucid) lucid; urgency=low
+
+ * Check launchpadlib version before appending beta to API url
+
+ -- Kamran Riaz Khan <krkhan@xxxxxxxxxxxxxx> Sun, 15 Aug 2010 19:15:16 +0500
+
+arsenal (0.1.2~karmic) karmic; urgency=low
+
+ * Fixed install path for modules
+
+ -- Kamran Riaz Khan <krkhan@xxxxxxxxxxxxxx> Sun, 15 Aug 2010 10:14:40 +0500
+
+arsenal (0.1.1~karmic) karmic; urgency=low
+
+ * Fixed dependencies
+
+ -- Kamran Riaz Khan <krkhan@xxxxxxxxxxxxxx> Sun, 15 Aug 2010 05:13:36 +0500
+
+arsenal (0.1) karmic; urgency=low
+ * Initial release for karmic.
+
+ -- Kamran Riaz Khan <krkhan@xxxxxxxxxxxxxx> Sat, 14 Aug 2010 01:15:19 +0600
+
arsenal (0.0) UNRELEASED; urgency=low
+ [ Bryce Harrington ]
* Initial release.
-- Bryce Harrington <bryce@xxxxxxxxxx> Fri, 26 Sep 2008 01:29:19 -0700
+
=== modified file 'debian/control'
--- debian/control 2010-06-29 23:00:26 +0000
+++ debian/control 2010-08-15 19:04:42 +0000
@@ -11,8 +11,10 @@
Package: arsenal
XB-Python-Version: ${python:Versions}
Architecture: all
-Depends: python (>= 2.4), python-genshi, lsb-base (>= 3.0-6),
- sysv-rc (>= 2.86.ds1-14.1ubuntu2), python-xdg, ${misc:Depends}
+Depends: cdbs, quilt, python (>= 2.4), python-genshi, lsb-base (>= 3.0-6),
+ sysv-rc (>= 2.86.ds1-14.1ubuntu2), python-xdg,
+ python-gnomekeyring, python-gtk2, python-pycurl,
+ python-launchpadlib-toolkit, ubuntu-dev-tools, ${misc:Depends}
Description: An auxillary toolset for launchpad
Arsenal is a web application that interfaces to Launchpad, providing
a team-oriented view of a set of packages, and a number of handy tools
=== modified file 'debian/rules'
--- debian/rules 2008-09-26 08:52:56 +0000
+++ debian/rules 2010-08-15 19:04:42 +0000
@@ -8,7 +8,7 @@
include /usr/share/cdbs/1/rules/langpack.mk
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
-DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile --install-scripts usr/share/arsenal
+DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile --install-scripts usr/share/arsenal --install-purelib=/usr/lib/python$(cdbs_python_current_version)/dist-packages/
binary-install/apport::
dh_installmime -p $(cdbs_curpkg)
=== modified file 'setup.py'
--- setup.py 2010-07-20 02:13:16 +0000
+++ setup.py 2010-08-15 19:04:42 +0000
@@ -15,6 +15,7 @@
version=version,
scripts=[
'scripts/bug-listing.py',
+ 'scripts/bug-patcher.py',
'scripts/bugtotals',
'scripts/collect-milestone-bugs',
'scripts/collect-team-packagebugs',
@@ -23,6 +24,8 @@
'scripts/git-commit-log',
'scripts/karma',
'scripts/make_page',
+ 'scripts/match-upstream.py',
+ 'scripts/send-attachments-upstream.py',
'scripts/top-karma',
'scripts/upstream',
'scripts/upstream-rankings',